package os.io;

import os.session.Session;

/**
 * Empty output service. Used for shutdown and killing proceses.
 * 
 * @author Jakub Rinkes, Jan Moulis, Kamil Rendl
 *
 */
public class EmptyOutputService implements OutputService {

    public void write(String text) {
        
    }

    public void write(int c) {
        
    }

    public void write(byte[] bytes) {
        
    }

    public boolean isErrorService() {
        return false;
    }

    public void close() {
        
    }

    public int getType() {
        return OutputService.STANDARD;
    }

    public void setSession(Session session) {
        
    }

    public void shutdown() {
        
    }

}
