package os.history;

/**
 * Item for storing one history command with directory.
 * 
 * @author Jakub Rinkes, Jan Moulis, Kamil Rendl
 *
 */
public class HistoryItem {

    private String dir;
    private String command;

    public HistoryItem() {

    }

    public HistoryItem(String dir, String command) {
        
        this.dir = dir;
        this.command = command;
    }

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    @Override
    public String toString() {
        return dir + " " + command;
    }
}
